SRCS := modules/juce_core/juce_core.cpp
SRCS += modules/juce_data_structures/juce_data_structures.cpp
SRCS += modules/juce_events/juce_events.cpp
SRCS += modules/juce_graphics/juce_graphics.cpp
SRCS += modules/juce_gui_basics/juce_gui_basics.cpp
SRCS += modules/juce_gui_extra/juce_gui_extra.cpp
SRCS += modules/juce_opengl/juce_opengl.cpp

init: AppConfig.h JuceHeader.h all

AppConfig.h:
	cp AppConfig.${PKG_VER}.h AppConfig.h

JuceHeader.h:
	cp JuceHeader.${PKG_VER}.h JuceHeader.h

DEFINES := -DHAVE_LROUND
DEFINES += -DJUCE_APP_CONFIG_HEADER=\"JuceHeader.h\"
DEFINES += -DJUCE_STANDALONE_APPLICATION
INCLUDES += -I${PKG_VER}/modules

